// pages/pay/payee/payee.js
import * as UTIL from '../../../utils/util.js';
import * as API from '../../../utils/API.js';
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isIPX: app.globalData.isIPX,
    activeName:'',
    value:'',
    list:{},
    array:{},
    checked:false
  },
  onChange(event) {
    this.setData({
      activeName: event.detail,
    });
  },
  onChangeCheck(event) {
    var that = this ;
    this.setData({
      checked: !that.data.checked,
    });

    if(that.data.checked){
      let array = [];
      for (let i = 0; i < that.data.list.length; i++) {
        const element = that.data.list[i];
        if(element.transferStatus == '6'){
          array.push(element)
        }
      }
      that.setData({
        array:array
      })
    }else{
      that.setData({
        array:that.data.list
      })
    }
    
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    console.log(JSON.parse(options.options));
    
    this.setData({
      list: JSON.parse(options.options),
      array: JSON.parse(options.options),
    });
  },

  back:function(){
    wx.navigateBack({
      delta: 1
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})